//
//  TSMessageContentCell+Ex.swift
//  AIEmoji
//
//  Created by 100Years on 2025/2/21.
//

extension TSMessageContentCell {

    func creatAIDefaultHeaderView(text:String) -> UIView {
        let view = UIView()
        view.clipsToBounds = true
        
        let imageView = UIImageView.createImageView(imageName: "aichat_avatar")
        view.addSubview(imageView)
        imageView.snp.makeConstraints { make in
            make.leading.equalTo(16)
            make.top.equalTo(0)
            make.width.height.equalTo(80)
        }

        let textLabel = UILabel.createLabel(
            text: text,
            font: .font(size: 16,weight: .medium),
            textColor: .white
        )
        view.addSubview(textLabel)
        textLabel.snp.makeConstraints { make in
            make.leading.equalTo(88)
            make.trailing.equalTo(-40)
            make.top.equalTo(0)
            make.bottom.equalTo(-8)
        }
        return view
    }
    
    
    
    
    
}
